Package: org.apache.groovy.parser.antlr4

## [Java] Class GroovyLangLexer

- org.apache.groovy.parser.antlr4.GroovyLangLexer

-     public class GroovyLangLexer
      extends GroovyLexer

  The lexer for Groovy programming language, which is based on the lexer generated by Antlr4

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class GroovyLexer` | `DQ_GSTRING_MODE, StringLiteral, VOCABULARY, _ATN, _serializedATN, channelNames, modeNames, ruleNames, tokenNames`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `GroovyLangLexer(Reader reader)`
    `GroovyLangLexer(CharStream input)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `recover(LexerNoViableAltException e)`
    `` | `protected void` | `rollbackOneChar()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class GroovyLexer` | `action, emit, enterParenCallback, exitParenCallback, getChannelNames, getErrorColumn, getErrorLine, getGrammarFileName, getModeNames, getRuleNames, getSerializedATN, getSyntaxErrorSource, getTokenNames, getVocabulary, handleComment, isErrorIgnored, popMode, rollbackOneChar, sempred, setErrorIgnored`

- - ### Constructor Detail

    - #### public GroovyLangLexer(Reader reader)

    - #### public GroovyLangLexer(CharStream input)

  - ### Method Detail

    - #### @Override
      public void recover(LexerNoViableAltException e)

    - #### @Override
      protected void rollbackOneChar()